View Issue Details

IDProjectCategoryView StatusLast Update
0017977LazarusWidgetsetpublic2011-02-01 12:01
ReporterJonas MaebeAssigned ToMattias Gaertner 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
PlatformPowerPCOSMac OS XOS Version10.5.8
Product Version0.9.29 (SVN)Product Build28293 
Target Version0.9.30Fixed in Version0.9.31 (SVN) 
Summary0017977: Empty autosized groupbox causes endless loop in designer
Description* Create a new project
* Add a groupbox to the frame
* Set the autosize property of the groupbox to true

The IDE will then immediately show a dialog box saying:

***
TWinControl.WMSize loop detected, the widgetset does not like the LCL bounds or sends unneeded wmsize messages: GroupBox1:TGroupBox
BoundsRealized=l=56,t=40,t=62,b=68
NewBoundsRealized=l=56,t=40,t=62,b=68

Press OK to ignore and risk data corruption
Press Cancel to kill the prorgam
***

Clicking OK simply shows the same dialog box over and over again, until you click cancel (at which point the IDE closes).
Additional InformationI don't know whether it is Carbon specific or whether it also happens with other widget sets
TagsNo tags attached.
Fixed in Revision29025
LazTarget0.9.30
WidgetsetCarbon
Attached Files

Relationships

child of 0016349 assignedDmitry Boyarintsev [Carbon] Autosizing a groupbox containing an edit with a custom font does not work correctly 

Activities

Alexsander

2011-01-14 19:14

reporter   ~0045184

Under GTK it (the widget) becomes almost unusable but the IDE does not crash.

Mattias Gaertner

2011-01-15 00:11

manager   ~0045190

There is a bug in the carbon interface: the GetPreferredSize returns values depending on the current size of the TGroupBox.
I added a test.
Compile test/runtests.lpi
run with:
./runtests --format=plain --suite=TestGroupBoxPreferredSize1

Mattias Gaertner

2011-01-15 00:21

manager   ~0045191

Under gtk: Groupbox is shrinked leaving only the frame.
It would be nice if the minimum size would include the groupbox caption width, not only the height. But this might not be wanted in all cases, so it should be optional.

Paul Ishenin

2011-01-15 08:10

manager   ~0045196

I changed the behavior of carbon groupbox GetPreferredSize method. Please test and close if it works now.

Jonas Maebe

2011-02-01 12:01

reporter   ~0045670

Thanks.

Issue History

Date Modified Username Field Change
2010-11-18 14:18 Jonas Maebe New Issue
2010-11-18 14:18 Jonas Maebe Widgetset => Carbon
2010-11-18 14:43 Vincent Snijders LazTarget => 0.9.30
2010-11-18 14:43 Vincent Snijders Assigned To => Mattias Gaertner
2010-11-18 14:43 Vincent Snijders Status new => assigned
2010-11-18 14:43 Vincent Snijders Target Version => 0.9.30
2010-11-18 15:05 Vincent Snijders Relationship added child of 0016349
2011-01-14 19:14 Alexsander Note Added: 0045184
2011-01-15 00:11 Mattias Gaertner Note Added: 0045190
2011-01-15 00:21 Mattias Gaertner Note Added: 0045191
2011-01-15 08:10 Paul Ishenin Fixed in Revision => 29025
2011-01-15 08:10 Paul Ishenin Status assigned => resolved
2011-01-15 08:10 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-15 08:10 Paul Ishenin Resolution open => fixed
2011-01-15 08:10 Paul Ishenin Note Added: 0045196
2011-02-01 12:01 Jonas Maebe Status resolved => closed
2011-02-01 12:01 Jonas Maebe Note Added: 0045670